<?php
// This script demonstrates the use of if...else, if...elseif...else, and switch...case in PHP.

// Example of if...else condition
$age = 20;
if ($age >= 18) {
    $status = "You are an adult.";
} else {
    $status = "You are a minor.";
}

// Example of if...elseif...else condition
$time = 15; // 24-hour format
if ($time < 12) {
    $greeting = "Good morning!";
} elseif ($time < 18) {
    $greeting = "Good afternoon!";
} else {
    $greeting = "Good evening!";
}

// Example of switch...case condition
$day = "Monday";
switch ($day) {
    case "Monday":
        $message = "Start of the week!";
        break;
    case "Friday":
        $message = "Almost the weekend!";
        break;
    default:
        $message = "Another day!";
}
?>

<!DOCTYPE html>
<head>
    <meta charset="UTF-8">
    <title>PHP Conditions Example</title>
</head>
<body>
    <h1>PHP Conditions Example</h1>
    
    <h2>Example of if...else Condition</h2>
    <p><?php echo $status; ?></p>

    <h2>Example of if...elseif...else Condition</h2>
    <p><?php echo $greeting; ?></p>

    <h2>Example of switch...case Condition</h2>
    <p><?php echo $message; ?></p>

    <h2>Explanation of Conditions</h2>
    <p>
        In PHP, conditions are used to execute different blocks of code based on certain criteria. 
        The <strong>if...else</strong> statement allows you to test a condition and execute code based on whether the condition is true or false.
    </p>
    <p>
        The <strong>if...elseif...else</strong> statement is an extension of the <code>if...else</code> structure, where multiple conditions can be tested in sequence.
        It’s useful when you have more than two possible outcomes. 
    </p>
    <p>
        The <strong>switch...case</strong> statement allows you to test a variable against different possible values, executing different blocks of code depending on which case matches the variable. It’s often used when you have many potential conditions based on the same variable.
    </p>
</body>
</html>
