<?php
// This script demonstrates the use of constants in PHP.

// Define two constants
define("PI", 3.14159); // Constant for Pi
define("GREETING", "Hello, World!"); // Constant for a greeting message

// Use constants in calculations
$radius = 5;
$circumference = 2 * PI * $radius; // Calculate the circumference of a circle

?>

<!DOCTYPE html>
<head>
    <meta charset="UTF-8">
    <title>PHP Constants Example</title>
</head>
<body>
    <h1>PHP Constants Example</h1>
    
    <h2>Examples of Constants</h2>
    <p>
        <?php
        // Outputting the values of the constants
        echo "The value of Pi is: " . PI . "<br>";  // Line break
        echo "The greeting message is: " . GREETING . "<br>"; // Line break
        echo "The circumference of a circle with radius 5 is: " . $circumference; // No line break here
        ?>
    </p>

    <h2>Explanation of Constants</h2>
    <p>
        In PHP, constants are identifiers (names) for simple values. They are defined using the <code>define()</code> function, 
        and once set, their values cannot be changed during the script’s execution. 
        Unlike variables, constants do not require the dollar sign ($) prefix.
    </p>
    <p>
        Constants are useful when you need a value that will remain the same throughout the script. 
        For example, <code>PI</code> is a constant representing the mathematical constant for Pi, which will always remain the same.
        In contrast, variables can be changed during script execution and are typically used for storing dynamic values.
    </p>
</body>
</html>
