<?php
// This script demonstrates the use of built-in and user-defined functions in PHP.

// Example of a built-in function: strlen()
$exampleString = "Hello, World!";
$stringLength = strlen($exampleString); // Get the length of the string

// User-defined function to calculate the area of a rectangle
function calculateArea($length, $width) {
    return $length * $width; // Calculate area
}

// Using the user-defined function
$length = 10;
$width = 5;
$area = calculateArea($length, $width); // Calculate area of the rectangle

?>

<!DOCTYPE html>
<head>
    <meta charset="UTF-8">
    <title>PHP Functions Example</title>
</head>
<body>
    <h1>PHP Functions Example</h1>
    
    <h2>Example of a Built-in Function</h2>
    <p>
        The length of the string "<strong><?php echo $exampleString; ?></strong>" is: <strong><?php echo $stringLength; ?></strong> characters.
    </p>

    <h2>Example of a User-defined Function</h2>
    <p>
        The area of a rectangle with length <strong><?php echo $length; ?></strong> and width <strong><?php echo $width; ?></strong> is: 
        <strong><?php echo $area; ?></strong>.
    </p>

    <h2>Explanation of Functions</h2>
    <p>
        In PHP, functions are blocks of code that can be reused throughout a script. They allow you to encapsulate specific 
        tasks or calculations, making your code more organized and easier to maintain. Functions can be built-in, which 
        are provided by PHP (like <code>strlen()</code> for getting the length of a string), or user-defined, allowing 
        developers to create their own functionality as needed.
    </p>
    <p>
        To define a function, you use the <code>function</code> keyword followed by the function name and parentheses. 
        Inside the parentheses, you can define parameters that the function can accept. Once the function is defined, 
        you can call it by using its name and passing the required arguments. 
    </p>
</body>
</html>
