<?php
// This script demonstrates the use of predefined variables in PHP.

// Using predefined variable: $_SERVER
$serverName = $_SERVER['SERVER_NAME']; // Gets the name of the server
$serverIP = $_SERVER['SERVER_ADDR']; // Gets the IP address of the server
?>

<!DOCTYPE html>
<head>
    <meta charset="UTF-8">
    <title>PHP Predefined Variables Example</title>
</head>
<body>
    <h1>PHP Predefined Variables Example</h1>
    
    <h2>Example of Predefined Variables</h2>
    <p>
        <?php
        // Outputting the predefined variables
        echo "Server Name: " . $serverName . "<br>"; // Line break
        echo "Server IP Address: " . $serverIP;
        ?>
    </p>

    <h2>Explanation of Predefined Variables</h2>
    <p>
        In PHP, predefined variables are built-in variables that are automatically created by the PHP runtime. 
        They provide useful information about the server environment, user requests, and other context-related data. 
        Examples include <code>$_SERVER</code>, which contains information about headers, paths, and script locations.
    </p>
</body>
</html>
