<?php
// This script demonstrates the use of single and double quotes in PHP.

// Using single quotes
$singleQuoteString = 'Hello, this is a string in single quotes.';

// Using double quotes
$doubleQuoteString = "Hello, this is a string in double quotes with a variable: " . $singleQuoteString;
?>

<!DOCTYPE html>
<head>
    <meta charset="UTF-8">
    <title>PHP Quotes Example</title>
</head>
<body>
    <h1>PHP Quotes Example</h1>
    
    <h2>Example of Single and Double Quotes</h2>
    <p>
        <?php
        // Outputting the strings
        echo $singleQuoteString;
        echo "<br>"; // Line break
        echo $doubleQuoteString;
        ?>
    </p>

    <h2>Explanation of Single vs. Double Quotes</h2>
    <p>
        In PHP, both single quotes (' ') and double quotes (" ") can be used to define string literals. 
        However, there are important differences between the two:
    </p>
    <ul>
        <li><strong>Single Quotes:</strong> Strings enclosed in single quotes are treated as plain text. 
        Variables and escape sequences (except for \\ and \') are not processed. For example, if you include a variable inside single quotes, it will not be expanded:</li>
        <code>$singleQuoteString = 'Value: $variable'; // Will output: Value: $variable</code>
        <li><strong>Double Quotes:</strong> Strings enclosed in double quotes allow for variable expansion and the interpretation of escape sequences. 
        For example, if you include a variable inside double quotes, it will be expanded:</li>
        <code>$doubleQuoteString = "Value: $variable"; // Will output the actual value of $variable</code>
        </li>
    </ul>
</body>
</html>
